Search documentation of wx

# wxToolTip (wx v2.4.3.1)

View Source

This class holds information about a tooltip associated with a window (see `wxWindow:setToolTip/2`).

The four static methods, `enable/1`, `setDelay/1` `wxToolTip::SetAutoPop()` (not implemented in wx) and `wxToolTip::SetReshow()` (not implemented in wx) can be used to globally alter tooltips behaviour.

wxWidgets docs: wxToolTip

# Summary

## Types

wxToolTip()

## Functions

destroy(This)

Destroys the object

enable(Flag)

Enable or disable tooltips globally.

getTip(This)

Get the tooltip text.

getWindow(This)

Get the associated window.

new(Tip)

Constructor.

setDelay(Msecs)

Set the delay after which the tooltip appears.

setTip(This, Tip)

Set the tooltip text.

# Types

# wxToolTip()

    -type wxToolTip() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxToolTip()) -> ok.

Destroys the object

# enable(Flag)

    -spec enable(Flag) -> ok when Flag :: boolean().

Enable or disable tooltips globally.

Note: May not be supported on all platforms (eg. wxCocoa).

# getTip(This)

    -spec getTip(This) -> unicode:charlist() when This :: wxToolTip().

Get the tooltip text.

# getWindow(This)

    -spec getWindow(This) -> wxWindow:wxWindow() when This :: wxToolTip().

Get the associated window.

# new(Tip)

    -spec new(Tip) -> wxToolTip() when Tip :: unicode:chardata().

Constructor.

# setDelay(Msecs)

    -spec setDelay(Msecs) -> ok when Msecs :: integer().

Set the delay after which the tooltip appears.

Note: May not be supported on all platforms.

# setTip(This, Tip)

    -spec setTip(This, Tip) -> ok when This :: wxToolTip(), Tip :: unicode:chardata().

Set the tooltip text.